-- If you wish to grant UNSAFE permission set to the assembly
-- One or both of the following lines of code must be run once
-- (Replace "Server" and "UserName" with names appropiate to your environment.)
--ALTER AUTHORIZATION ON DATABASE::AdventureWorks2012 TO "Server\UserName"
--ALTER DATABASE AdventureWorks2012 SET TRUSTWORTHY ON

-- Update assembly (dll) path below according to your install directory
CREATE ASSEMBLY SQLCLRDemo
AUTHORIZATION dbo
FROM 'C:\Demos\VS\SQLCLRDemoManual\SQLCLRDemo\bin\Debug\SQLCLRDemo.dll'
WITH PERMISSION_SET = SAFE
GO

-- Stored Procedures
CREATE PROCEDURE spContacts
AS EXTERNAL NAME SQLCLRDemo.StoredProcedures.spContacts
GO
CREATE PROCEDURE spContactCount
AS EXTERNAL NAME SQLCLRDemo.StoredProcedures.spContactCount
GO

-- Functions
CREATE FUNCTION fnHelloWorld()
RETURNS NVARCHAR(4000) WITH EXECUTE AS CALLER
AS EXTERNAL NAME SQLCLRDemo.UserDefinedFunctions.fnHelloWorld
GO
CREATE FUNCTION [dbo].[fnToCelsius](@Fahrenheit [smallint])
RETURNS decimal WITH EXECUTE AS CALLER
AS
EXTERNAL NAME SQLCLRDemo.UserDefinedFunctions.fnToCelsius
GO
CREATE FUNCTION fnPortfolioTable(@TickersPacked [NVARCHAR](4000))
RETURNS TABLE (
	TickerSymbol NVARCHAR(5),
	VALUE DECIMAL
)
WITH EXECUTE AS CALLER
--Uncomment the following line to create an ordered TVF
--ORDER (TickerSymbol)
AS EXTERNAL NAME SQLCLRDemo.UserDefinedFunctions.fnPortfolioTable
GO

-- Triggers
CREATE TRIGGER trgUpdatePerson
ON Person.Person 
FOR UPDATE
AS EXTERNAL NAME SQLCLRDemo.Triggers.trgUpdatePerson
GO
CREATE TRIGGER trgCreateTable
ON DATABASE 
FOR CREATE_TABLE
AS EXTERNAL NAME SQLCLRDemo.Triggers.trgCreateTable
GO

-- User Defined Types
CREATE TYPE typPoint
EXTERNAL NAME SQLCLRDemo.typPoint
GO
CREATE TYPE typBakersDozen
EXTERNAL NAME SQLCLRDemo.typBakersDozen
GO

-- Aggregate
CREATE AGGREGATE BakersDozen
        (@input int)
RETURNS int
EXTERNAL NAME SQLCLRDemo.BakersDozen
GO
