using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using Microsoft.SqlServer.Server;

public partial class UserDefinedFunctions
{
    [SqlFunction]
    public static SqlString fnHelloWorld()
    {
        return new SqlString("Hello World");
    }

    [SqlFunction]
    public static SqlDecimal fnToCelsius(SqlInt16 Fahrenheit)
    {
        return new SqlDecimal((((Int16)Fahrenheit) - 32) / 1.8);
    }


    [SqlFunction(
        FillRowMethodName = "FillTickerRow",
        TableDefinition = "TickerSymbol nvarchar(5), Value decimal")]
    public static System.Collections.IEnumerable fnPortfolioTable(SqlString tickersPacked)
    {
        string[] tickerSymbols;
        object[] rowArray = new object[2];
        object[] compoundArray = new object[3];
        char[] parms = new char[1];

        parms[0] = ';';
        tickerSymbols = tickersPacked.Value.Split(parms);

        rowArray[0] = tickerSymbols[0];
        rowArray[1] = 1;
        compoundArray[0] = rowArray;

        rowArray = new object[2];
        rowArray[0] = tickerSymbols[1];
        rowArray[1] = 2;
        compoundArray[1] = rowArray;

        rowArray = new object[2];
        rowArray[0] = tickerSymbols[2];
        rowArray[1] = 3;
        compoundArray[2] = rowArray;

        return compoundArray;
    }

    public static void FillTickerRow(object row, ref SqlString tickerSymbol, ref SqlDecimal value)
    {
        object[] rowArray = (object[])row;
        tickerSymbol = new SqlString((string)rowArray[0]);
        value = new SqlDecimal(decimal.Parse(rowArray[1].ToString()));
    }

};

