-- Attempting to create a login that does not satisfy the Windows password policy
CREATE LOGIN SomeUser WITH PASSWORD = 'tooeasy',
 CHECK_POLICY=ON,
 CHECK_EXPIRATION=ON

-- Select all logins
SELECT * FROM sys.sql_logins 

-- Querying the LOGINPROPERTY function to retrieve various properties of the sa login
SELECT 'IsLocked' AS Property,           LOGINPROPERTY('sa', 'IsLocked') AS Value
 UNION ALL SELECT 'IsExpired',           LOGINPROPERTY('sa', 'IsExpired')
 UNION ALL SELECT 'IsMustChange',        LOGINPROPERTY('sa', 'IsMustChange')
 UNION ALL SELECT 'BadPasswordCount',    LOGINPROPERTY('sa', 'BadPasswordCount')
 UNION ALL SELECT 'PasswordLastSetTime', LOGINPROPERTY('sa', 'PasswordLastSetTime')
 UNION ALL SELECT 'BadPasswordTime',     LOGINPROPERTY('sa', 'BadPasswordTime')
 UNION ALL SELECT 'LockoutTime',         LOGINPROPERTY('sa', 'LockoutTime')
