CREATE DATABASE FlixPollOnPrem
GO

USE FlixPollOnPrem
GO

CREATE TABLE Movie(
 MovieId int IDENTITY(1,1) NOT NULL CONSTRAINT PK_Movie PRIMARY KEY,
 Name varchar(100) NOT NULL,
 YearReleased smallint NOT NULL)
GO

CREATE TABLE Inquiry(
 InquiryId int IDENTITY(1,1) NOT NULL CONSTRAINT PK_Inquiry PRIMARY KEY,
 Question varchar(100) NOT NULL)
GO

CREATE TABLE Response(
  ResponseId int IDENTITY(1,1) NOT NULL CONSTRAINT PK_Response PRIMARY KEY,
  MovieId int NOT NULL,
  InquiryId int NOT NULL,
  Answer bit NOT NULL CONSTRAINT DF_Answer DEFAULT(0)
)
GO

INSERT INTO Movie (Name, YearReleased) VALUES
 ('SQL Wars', 2011),
 ('Like Water for SQL', 2011),
 ('SQL Mission Impossible', 2011),
 ('Amazing SQL-man', 2012),
 ('Chipmonks, The SQL', 2012),
 ('The SQL Avengers', 2012)
GO

INSERT INTO Inquiry (Question) VALUES
 ('Did you like the movie?'),
 ('Is the movie a potential award nominee?'),
 ('Did you pay a fair ticket price?')
GO
